slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSSetDSType

Sets the type of the internal DS object based on the current settings of the eigenvalue solver.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSSetDSType(EPS eps)

Collective

### Input Parameter

| eps | - eigenproblem solver context

### Note

This function need not be called explicitly, since it will be called at both EPSSetFromOptions() and EPSSetUp().

### See Also

EPSSetFromOptions(), EPSSetUp()

### Level

developer

### Location

src/eps/interface/epssetup.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages